gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gdk.Event Proximity events are generated when using GDK's wrapper for the XInput extension.

Proximity events are generated when using GDK's wrapper for the XInput extension. The XInput extension is an add-on for standard X that allows you to use nonstandard devices such as graphics tablets. A proximity event indicates that the stylus has moved in or out of contact with the tablet, or perhaps that the user's finger has moved in or out of contact with a touch screen.

- Constructor
  2.12.0.0
  raw unmanaged pointer.
  Internal constructor.
  None.
- Property
  2.12.0.0
  Gdk.Device The device where the event originated. The device where the event originated. None.
- Property
  2.12.0.0
  System.UInt32 The time of the event in milliseconds. The time of the event in milliseconds. None.